petsc-3.13.6 2020-09-29
Report Typos and Errors

# TSComputeIHessianProductFunctionPU

Runs the user-defined vector-Hessian-vector product function for Fpu.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeIHessianProductFunctionPU(TS ts,PetscReal t,Vec U,Vec *Vl,Vec Vr,Vec *VHV)

Collective on TS

### Input Parameters

ts -The TS context obtained from TSCreate()

### Notes

TSComputeIHessianProductFunctionPU() is typically used for sensitivity implementation, so most users would not generally call this routine themselves.

### See Also

TSSetIHessianProduct()

### Level

developer

### Location

src/ts/interface/sensitivity/tssen.c
Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages